unit IWEmployee;
{PUBDIST}

interface

uses
  IWModuleBase, Db, IWGrids, IWDBGrids, Controls, IWBaseControl,
  IWDBStdCtrls, DBTables, Classes, IWStdCtrls;

type
  TformMain = class(TIWFormModuleBase)
    dsEmployee: TDataSource;
    tblEmployee: TTable;
    IWDBNavigator1: TIWDBNavigator;
    IWDBGrid1: TIWDBGrid;
    IWBtn_Get: TIWButton;
    tblEmployeeEmpNo: TIntegerField;
    tblEmployeeLastName: TStringField;
    tblEmployeeFirstName: TStringField;
    tblEmployeePhoneExt: TStringField;
    tblEmployeeHireDate: TDateTimeField;
    tblEmployeeSalary: TFloatField;
    IWBtn_AddEmp: TIWButton;
    IWMemo1: TIWMemo;
    IWLabel1: TIWLabel;
    procedure IWFormModuleBaseCreate(Sender: TObject);
    procedure IWFormModuleBaseDestroy(Sender: TObject);
    procedure IWDBGrid1RenderCell(ACell: TIWTableCell; const ARow,
      AColumn: Integer);
    procedure IWBtn_GetClick(Sender: TObject);
    procedure IWDBGrid1Columns0Click(ASender: TObject;
      const AValue: String);
    procedure IWBtn_AddEmpClick(Sender: TObject);
  public
  end;

implementation
{$R *.dfm}
uses sysutils,graphics, IWAddEmployee;

procedure TformMain.IWFormModuleBaseCreate(Sender: TObject);
begin
  tblEmployee.Open;
end;

procedure TformMain.IWFormModuleBaseDestroy(Sender: TObject);
begin
  tblEmployee.Close;
end;

procedure TformMain.IWDBGrid1RenderCell(ACell: TIWTableCell; const ARow,
  AColumn: Integer);
begin
  with ACell do begin
    if Odd(ARow) then
      BGColor := clLTGray
    else
      BGColor:=clNone;
  end;
end;

procedure TformMain.IWBtn_GetClick(Sender: TObject);
begin
  IWMemo1.Lines.Clear;
  IWMemo1.Lines.Add(tblEmployeeFirstName.AsString);
  IWMemo1.Lines.Add(tblEmployeeLastName.AsString);
  IWMemo1.Lines.Add(tblEmployeeSalary.AsString);
  IWMemo1.Lines.Add(tblEmployeeHireDate.AsString);
  IWMemo1.Lines.Add(tblEmployeePhoneExt.AsString);
end;

procedure TformMain.IWDBGrid1Columns0Click(ASender: TObject;
  const AValue: String);
begin
  if tblEmployee.Locate('EmpNo', AValue, []) then begin
    IWMemo1.Lines.Clear;
    IWMemo1.Lines.Add(tblEmployeeFirstName.AsString);
    IWMemo1.Lines.Add(tblEmployeeLastName.AsString);
    IWMemo1.Lines.Add(tblEmployeeSalary.AsString);
    IWMemo1.Lines.Add(tblEmployeeHireDate.AsString);
    IWMemo1.Lines.Add(tblEmployeePhoneExt.AsString);
  end;
end;

procedure TformMain.IWBtn_AddEmpClick(Sender: TObject);
begin
  TformAddEmployee.Create(WebApplication).Show;
end;

end.
